Subject: RE: performance of cygwin32
From: [email-masked] (Kevin Hughes)

9 Jan 1998 09:58:18 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: 7bit
To: "'Geoffrey Noer'" <[email-masked]>,
        Ed Peschko
	 <[email-masked]>
Cc: "[email-masked]" <[email-masked]>,
        "[email-masked]" <[email-masked]>

Dear all,
	I have been chasing performance problems with our build system which ran on unix and is
Snail like on NT (i.e. it is unusable). I have just discovered more or less the same BUT  think
the problem is the NT networking not gnuwin32. 

To support this I timed ls to local and networked drives - wow the network took 10 times as 
the local drive and dir took around the same ratio (if not more). 

Does anyone know how to asses NT network peformance?

Kevin 

-----Original Message-----
From:	Geoffrey Noer [SMTP:[email-masked]]
Sent:	08 January 1998 05:42
To:	Ed Peschko
Cc:	[email-masked]; [email-masked]
Subject:	Re: performance of cygwin32

Ed Peschko wrote:
> 
> Win32 is slow, but network drives are *glacial*, at least with cygwin32
> tools. I've installed the coolview update (when will it be incorporated
> into the 'vanilla' cygwin32 tools anyways?) and it is going a bit faster.

The "coolview" sources represent a state of the actual Cygnus development
tree as of whenever that was made.  It's made more progress since then;
right now I'm battling race conditions in the signal code...

Right now I can do a complete configure of the compiler tools (including
tcl/tk) in about 20 minutes and build them in an hour 15 min. which is a 
huge improvement performance-wise.  But signal handling isn't quite as
robust as it needs to be...

-- 
Geoffrey Noer
[email-masked]
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".